package org.deke.risk.riskahead.fragment;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import org.deke.risk.riskahead.helper.IncidentReport;

/**
 * A simple {@link Fragment} subclass.
 */
public abstract class BaseReportWFFragment extends Fragment {


    public BaseReportWFFragment() {
        // Required empty public constructor
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,Bundle savedInstanceState) {

        return new TextView(getActivity());
    }

    public abstract IncidentReport getCurrentInput();

}
